%define _unpackaged_files_terminate_build 1

%define oname gitdb

Name: python3-module-%oname
Version: 4.0.7
Release: alt1

Summary: IO of git-style object databases

License: BSD
Group: Development/Python3
Url: https://pypi.python.org/pypi/gitdb/

BuildArch: noarch

# Source-url: %__pypi_url %oname
Source: %name-%version.tar

#Patch1: %oname-alt-build.patch

BuildRequires(pre): rpm-build-python3 rpm-build-intro
BuildRequires: python3-module-setuptools

BuildRequires: python3-module-pytest
BuildRequires: python3(nose)
BuildRequires: python3(coverage)
BuildRequires: git-core

# generated by 'epm restore --dry-run' from gitdb/setup.py install_requires
%py3_use smmap < 5
%py3_use smmap >= 3.0.1

%description
IO of git-style object databases.

%package tests
Summary: Tests for %oname
Group: Development/Python3
Requires: %name = %EVR

%description tests
IO of git-style object databases.

This package contains tests for %oname.

%package docs
Summary: Documentation for %oname
Group: Development/Documentation
BuildArch: noarch

%description docs
IO of git-style object databases.

This package contains documentation for %oname.

%prep
%setup
#patch1 -p1

#prepare_sphinx doc
#ln -s ../objects.inv doc/source/

%build
%add_optflags -fno-strict-aliasing
%python3_build

%install
%python3_install
%python3_prune

#make -C doc pickle
#make -C doc html

%check
# needed for tests
if [ ! -s ~/.gitconfig ] ; then
    git config --global user.email "darktemplar at altlinux.org"
    git config --global user.name "darktemplar"
fi

git init
git add -A
git commit -m "%version"
git tag %version -m "%version"

# TODO: This test doesn't work, remove it for now
rm -f gitdb/test/performance/test_pack_streaming.py

py.test3
#make coverage PYTHON=python3 TESTRUNNER=$(which nosetests3)

%files
%doc AUTHORS *.rst
%python3_sitelibdir/*

#files docs
#doc doc/build/html/*

%changelog
* Wed Apr 21 2021 Vitaly Lipatov <lav@altlinux.ru> 4.0.7-alt1
- new version (4.0.7) with rpmgs script
- build python3 module separately
- switch to build from tarball

* Sun Jun 23 2019 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt3.qa1
- NMU: remove rpm-build-ubt from BR:

* Sat Jun 15 2019 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt2.qa1
- NMU: remove %ubt from release

* Sun Oct 14 2018 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt1.qa1%ubt
- NMU: applied repocop patch

* Fri May 25 2018 Aleksei Nikiforov <darktemplar@altlinux.org> 2.0.3-alt1%ubt
- Updated to upstream version 2.0.3.

* Sat Jul 22 2017 Vitaly Lipatov <lav@altlinux.ru> 2.0.0-alt1
- new version 2.0.0 (with rpmrb script)

* Sun Mar 13 2016 Ivan Zakharyaschev <imz@altlinux.org> 0.6.4-alt1.git20150112.1.1
- (NMU) rebuild with rpm-build-python3-0.1.9
  (for common python3/site-packages/ and auto python3.3-ABI dep when needed)

* Wed Jan 27 2016 Mikhail Efremov <sem@altlinux.org> 0.6.4-alt1.git20150112.1
- NMU: Use buildreq for BR.

* Fri Jan 23 2015 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.6.4-alt1.git20150112
- Version 0.6.4

* Thu Nov 20 2014 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.6.0-alt1.git20141114
- Version 0.6.0
- Added module for Python 3

* Fri Jul 13 2012 Vitaly Kuznetsov <vitty@altlinux.ru> 0.5.4-alt1
- 0.5.4

* Thu Apr 12 2012 Vitaly Kuznetsov <vitty@altlinux.ru> 0.5.1-alt1.1.1
- Rebuild to remove redundant libpython2.7 dependency

* Thu Oct 20 2011 Vitaly Kuznetsov <vitty@altlinux.ru> 0.5.1-alt1.1
- Rebuild with Python-2.7

* Fri Oct 08 2010 Vitaly Lipatov <lav@altlinux.ru> 0.5.1-alt1
- initial build for ALTLinux Sisyphus

